Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ExtendedUserProfile

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.UserProfile
                          oracle.ifs.beans.TieUserProfile
                              oracle.ifs.beans.ExtendedUserProfile

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieExtendedUserProfile

    public class ExtendedUserProfile

extends TieUserProfile

ExtendedUserProfile class is intended to save specific application information on a per user basis. Examples of possible information stored in an ExtendedUserProfile could be last page the user visited, a user's application preferences or the last time the user logged into the application.

The ExtendedUserProfile can be customized to store the desired information.

(Published)

Field Summary
`static java.lang.String` | `APPLICATION_ATTRIBUTE` The name of the application that employs this ExtendedUserProfile.
`static java.lang.String` | `CLASS_NAME` This class name for this class.

Fields inherited from class oracle.ifs.beans.UserProfile
`DIRECTORYUSER_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `ExtendedUserProfile(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a ExtendedUserProfile object.

Method Summary
`protected static ExtendedUserProfile` | `constructExtendedUserProfile(LibrarySession sess, S_LibraryObjectData data)` Constructs a ExtendedUserProfile object from the definition object.
`protected static java.util.Vector` | `constructExtendedUserProfileVector(LibrarySession sess, java.util.Vector vector)` Returns ExtendedUserProfile Vector from a Vector of ExtendedUserProfile
`static ExtendedUserProfile[]` | `findAll(LibrarySession session)` Returns the set of defined ExtendedUserProfiles.
`static ExtendedUserProfile` | `findByName(LibrarySession session, java.lang.String name)` Returns the a ExtendedUserProfile matching the specified name.
`java.lang.String` | `getApplication()` Gets the application name associated with this ExtendedUserProfile.
`static LibraryObjectLookupCache` | `getLibraryObjectLookupCache(LibrarySessionInterface session)` Returns the LibraryObjectLookupCache used by find ExtendedUserProfile instances by name and by the current user.
`void` | `setApplication(java.lang.String app)` Sets the application name associated with this ExtendedUserProfile.
`protected static ExtendedUserProfile` | `vectorExtendedUserProfileElement(java.util.Vector vector, int index)` Returns a ExtendedUserProfile element from the Vector of ExtendedUserProfile objects at the specified index.
`protected static ExtendedUserProfile[]` | `vectorToExtendedUserProfileArray(java.util.Vector vector)` Constructs an array of ExtendedUserProfile objects from a Vector.

Methods inherited from class oracle.ifs.beans.UserProfile
`constructUserProfile, constructUserProfileVector, getDirectoryUser`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, preCreate, preFree, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `ExtendedUserProfile`
  This class name for this class.

  See Also:
    Constant Field Values
  (Published)

### APPLICATION_ATTRIBUTE

    public static final java.lang.String APPLICATION_ATTRIBUTE

  Description copied from class: `ExtendedUserProfile`
  The name of the application that employs this ExtendedUserProfile.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### ExtendedUserProfile

    protected ExtendedUserProfile(LibrarySession session,
                                  java.lang.Long id,
                                  java.lang.Long classId,
                                  S_LibraryObjectData data)
                           throws IfsException

  Constructs a ExtendedUserProfile object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getApplication

    public java.lang.String getApplication()
                                    throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Gets the application name associated with this ExtendedUserProfile.

  Returns:
    the application name or null if not set
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setApplication

    public void setApplication(java.lang.String app)
                        throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Sets the application name associated with this ExtendedUserProfile.

  Parameters:
    `app` - the application name
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getLibraryObjectLookupCache

    public static LibraryObjectLookupCache getLibraryObjectLookupCache(LibrarySessionInterface session)
                                                                throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Returns the LibraryObjectLookupCache used by find ExtendedUserProfile instances by name and by the current user.

  Accomplishes the varying view of the data by using an inner class which is a subclass of LibraryObjectLookupCache, which can then override the methods involved in validation and query specification.

  Parameters:
    `session` - the session context
  Returns:
    the LibraryObjectLookupCache
  Throws:
    `IfsException` - if the operation fails.

### findAll

    public static ExtendedUserProfile[] findAll(LibrarySession session)
                                         throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Returns the set of defined ExtendedUserProfiles.

  The instances will be sorted by name.

  Parameters:
    `session` - the session context
  Returns:
    the set of ExtendedUserProfiles; returns null if there are none
  Throws:
    `IfsException` - if the operation fails.

### findByName

    public static ExtendedUserProfile findByName(LibrarySession session,
                                                 java.lang.String name)
                                          throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Returns the a ExtendedUserProfile matching the specified name.

  Parameters:
    `session` - the session context
    `name` - the ExtendedUserProfile name
  Returns:
    the ExtendedUserProfile matching the specified name; or null if there exists no matching ExtendedUserProfile
  Throws:
    `IfsException` - if the operation fails.

### constructExtendedUserProfileVector

    protected static java.util.Vector constructExtendedUserProfileVector(LibrarySession sess,
                                                                         java.util.Vector vector)
                                                                  throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Returns ExtendedUserProfile Vector from a Vector of ExtendedUserProfile

  Parameters:
    `sess` - current LibrarySession
    `vector` - vector of LibraryObjectData objects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructExtendedUserProfile

    protected static ExtendedUserProfile constructExtendedUserProfile(LibrarySession sess,
                                                                      S_LibraryObjectData data)
                                                               throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Constructs a ExtendedUserProfile object from the definition object.

  Parameters:
    `sess` - current LibrarySession
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorToExtendedUserProfileArray

    protected static ExtendedUserProfile[] vectorToExtendedUserProfileArray(java.util.Vector vector)
                                                                     throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Constructs an array of ExtendedUserProfile objects from a Vector.

  Parameters:
    `vector` - Vector of ExtendedUserProfile objects
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### vectorExtendedUserProfileElement

    protected static ExtendedUserProfile vectorExtendedUserProfileElement(java.util.Vector vector,
                                                                          int index)
                                                                   throws IfsException

  Description copied from class: `ExtendedUserProfile`
  Returns a ExtendedUserProfile element from the Vector of ExtendedUserProfile objects at the specified index.

  Parameters:
    `vector` - Vector of ExtendedUserProfile objects
    `index` - index into Vector
  Returns:
    the ExtendedUserProfile object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD